darcs-2.8.4: a distributed, interactive, smart revision control system

Portability | portable
Stability | experimental
Maintainer | darcs-devel@darcs.net
Safe Haskell | None

Exec

Description

# Documentation

exec :: String -> [String] -> Redirects -> IO ExitCode

execInteractive :: String -> String -> IO ExitCode

withoutNonBlock :: IO a -> IO a

type Redirects = (Redirect, Redirect, Redirect)

data Redirect

Constructors

AsIs |
Null |
File FilePath |
Stdout |

Instances

Show Redirect |

data ExecException

Constructors

ExecException String [String] Redirects String |

Instances

Show ExecException |
Typeable ExecException |
Exception ExecException |